    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class org.jdom.filter.ContentFilter

    java.lang.Object
       |
       +----org.jdom.filter.ContentFilter

public class ContentFilter
extends Object
implements Filter

`ContentFilter` is a general purpose `Filter` representing all legal JDOM objects and allows the ability to set and unset the visiblity of these objects. Filtering is accomplished by way of a filtering mask in which each bit represents whether a JDOM object is visible or not.

For example to view all Text and CDATA nodes in the content of element x.

          Filter filter = new ContentFilter(ContentFilter.TEXT |
                                            ContentFilter.CDATA);
          List content = x.getContent(filter);

For those who don't like bit-masking, set methods are provided as an alternative. For example to allow everything except Comment nodes.

          Filter filter =  new ContentFilter();
          filter.setCommentVisible(false);
          List content = x.getContent(filter);

The default is to allow all valid JDOM objects.

Version:
  $Revision: 1.1 $, $Date: 2002/03/12 07:00:50 $
Author:
  Bradley S. Huffman

##

CDATA
  Mask for JDOM `CDATA` objects
COMMENT
  Mask for JDOM `Comment` objects
DOCUMENT
  Mask for JDOM `Document` object
ELEMENT
  Mask for JDOM `Element` objects
ENTITYREF
  Mask for JDOM `EnitityRef` objects
filterMask
  The JDOM object mask
PI
  Mask for JDOM `ProcessingInstruction` objects
TEXT
  Mask for JDOM `Text` objects

##

ContentFilter()

  Default constructor that allows any legal JDOM objects.

ContentFilter(boolean)

  Set whether all JDOM objects are visible or not.

ContentFilter(int)

  Filter out JDOM objects according to a filtering mask.

##

canAdd(Object)

  Check to see if the object can be added to the list.

canRemove(Object)

  Check to see if the object can be removed from the list.

equals(Object)

  Returns true if object is instance of ContentFilter and has the same filtering mask as this one.

getFilterMask()

  Return current filtering mask.

matches(Object)

  Check to see if the object matches according to the filter mask.

setCDATAVisible(boolean)

  Set visiblity of `CDATA` objects.

setCommentVisible(boolean)

  Set visiblity of `Comment` objects.

setDefaultMask()

  Set this filter to allow all legal JDOM objects.

setDocumentContent()

  Set filter to match only JDOM objects that are legal document content.

setElementContent()

  Set filter to match only JDOM objects that are legal element content.

setElementVisible(boolean)

  Set visiblity of `Element` objects.

setEntityRefVisible(boolean)

  Set visiblity of `EntityRef` objects.

setFilterMask(int)

  Set filtering mask.

setPIVisible(boolean)

  Set visiblity of `ProcessingInstruction` objects.

setTextVisible(boolean)

  Set visiblity of `Text` objects.

##

ELEMENT

     public static final int ELEMENT

  Mask for JDOM `Element` objects

CDATA

     public static final int CDATA

  Mask for JDOM `CDATA` objects

TEXT

     public static final int TEXT

  Mask for JDOM `Text` objects

COMMENT

     public static final int COMMENT

  Mask for JDOM `Comment` objects

PI

     public static final int PI

  Mask for JDOM `ProcessingInstruction` objects

ENTITYREF

     public static final int ENTITYREF

  Mask for JDOM `EnitityRef` objects

DOCUMENT

     public static final int DOCUMENT

  Mask for JDOM `Document` object

filterMask

     protected int filterMask

  The JDOM object mask

##

ContentFilter

     public ContentFilter()

  Default constructor that allows any legal JDOM objects.

ContentFilter

     public ContentFilter(boolean allVisible)

  Set whether all JDOM objects are visible or not.

  Parameters:
    allVisible - `true` all JDOM objects are visible, `false` all JDOM objects are hidden.

ContentFilter

     public ContentFilter(int mask)

  Filter out JDOM objects according to a filtering mask.

  Parameters:
    mask - Mask of JDOM objects to allow.

##

getFilterMask

     public int getFilterMask()

  Return current filtering mask.

setFilterMask

     public void setFilterMask(int mask)

  Set filtering mask.

setDefaultMask

     public void setDefaultMask()

  Set this filter to allow all legal JDOM objects.

setDocumentContent

     public void setDocumentContent()

  Set filter to match only JDOM objects that are legal document content.

setElementContent

     public void setElementContent()

  Set filter to match only JDOM objects that are legal element content.

setElementVisible

     public void setElementVisible(boolean visible)

  Set visiblity of `Element` objects.

  Parameters:
    visible - whether Elements are visible, `true` if yes, `false` if not

setCDATAVisible

     public void setCDATAVisible(boolean visible)

  Set visiblity of `CDATA` objects.

  Parameters:
    visible - whether CDATA nodes are visible, `true` if yes, `false` if not

setTextVisible

     public void setTextVisible(boolean visible)

  Set visiblity of `Text` objects.

  Parameters:
    visible - whether Text nodes are visible, `true` if yes, `false` if not

setCommentVisible

     public void setCommentVisible(boolean visible)

  Set visiblity of `Comment` objects.

  Parameters:
    visible - whether Comments are visible, `true` if yes, `false` if not

setPIVisible

     public void setPIVisible(boolean visible)

  Set visiblity of `ProcessingInstruction` objects.

  Parameters:
    visible - whether ProcessingInstructions are visible, `true` if yes, `false` if not

setEntityRefVisible

     public void setEntityRefVisible(boolean visible)

  Set visiblity of `EntityRef` objects.

  Parameters:
    visible - whether EntityRefs are visible, `true` if yes, `false` if not

canAdd

     public boolean canAdd(Object obj)

  Check to see if the object can be added to the list.

  Parameters:
    obj - The object to verify.
  Returns:
    `true` if the object can be added.

canRemove

     public boolean canRemove(Object obj)

  Check to see if the object can be removed from the list.

  Parameters:
    obj - The object to verify.
  Returns:
    `true` if the object can be removed.

matches

     public boolean matches(Object obj)

  Check to see if the object matches according to the filter mask.

  Parameters:
    obj - The object to verify.
  Returns:
    `true` if the objected matched a predfined set of rules.

equals

     public boolean equals(Object obj)

  Returns true if object is instance of ContentFilter and has the same filtering mask as this one.

  Returns:
    `true` if the Filters are equal
  Overrides:
    equals in class Object

    All Packages  Class Hierarchy  This Package  Previous  Next  Index